1. Batch Management
FoodGuard Mobile API
  • Authentication
    • Resolve Company
      GET
    • User Login
      POST
    • User Logout
      POST
  • Lookups
    • List Branches
      GET
    • Get Branch Details
      GET
    • List Suppliers
      GET
    • Get Supplier Details
      GET
    • List Food Categories
      GET
    • List Shipment Types
      GET
  • Batch Management
    • List Batches
      GET
    • Create Batch
      POST
    • Get Batch Details
      GET
  • Phase 1: Truck Inspection
    • Submit Truck Inspection
      POST
    • Upload Escalation Photo
      POST
  • Phase 2: Label Analysis
    • Analyze Label (OCR)
      POST
    • Update Batch OCR Data
      PATCH
  • Phase 3: Sample Evaluation
    • List Batch Samples
      GET
    • Add Sample to Batch
      POST
    • Replace Sample Photo
      PATCH
    • Delete Sample
      DELETE
  • Phase 4: Finalize
    • Finalize Batch Inspection
      POST
  • Dashboard & History
    • Get Dashboard Stats
      GET
    • Get Inspection History
      GET
  • Settings
    • Get Temperature Thresholds
  • Schemas
    • Sample
    • ShipmentTypeObject
  1. Batch Management

List Batches

GET
/batches
Returns a list of all batches.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
List of batches
Body

Example
{
    "success": true,
    "data": [
        {
            "id": 0,
            "code": "string",
            "branch": {},
            "supplier": {},
            "shipment_type": {
                "value": "chilled",
                "label": "Chilled"
            },
            "food_name": "string",
            "food_category": "string",
            "status": {},
            "samples_count": 0,
            "inspector": {},
            "created_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "total": 0
    }
}
🟠401
Modified at 2026-02-23 18:27:16
Previous
List Shipment Types
Next
Create Batch
Built with